package com.ruoyi.mall.mapper;

import java.util.List;

import com.ruoyi.mall.domain.VipGuide;

/**
 * 会员指南Mapper接口
 *
 * @author ruoyi
 * @date 2023-10-25
 */
public interface VipGuideMapper
{
    /**
     * 查询会员指南
     *
     * @param guideId 会员指南主键
     * @return 会员指南
     */
    public VipGuide selectVipGuideByGuideId(Long guideId);

    /**
     * 查询会员指南列表
     *
     * @param vipGuide 会员指南
     * @return 会员指南集合
     */
    public List<VipGuide> selectVipGuideList(VipGuide vipGuide);

    /**
     * 新增会员指南
     *
     * @param vipGuide 会员指南
     * @return 结果
     */
    public int insertVipGuide(VipGuide vipGuide);

    /**
     * 修改会员指南
     *
     * @param vipGuide 会员指南
     * @return 结果
     */
    public int updateVipGuide(VipGuide vipGuide);

    /**
     * 删除会员指南
     *
     * @param guideId 会员指南主键
     * @return 结果
     */
    public int deleteVipGuideByGuideId(Long guideId);

    /**
     * 批量删除会员指南
     *
     * @param guideIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteVipGuideByGuideIds(Long[] guideIds);

    /**
     * vip显示
     * @return 结果
     */
    public int selectVipShow();


}
